var __extends = this.__extends || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    __.prototype = b.prototype;
    d.prototype = new __();
};
var AppThreeMaterials = (function (_super) {
    __extends(AppThreeMaterials, _super);
    function AppThreeMaterials() {
        _super.call(this);
    }
    AppThreeMaterials.prototype.main = function () {
        this.camera = new THREE.PerspectiveCamera(45, window.innerWidth / window.innerHeight, 0.01, 200);
        this.camera.position.set(0, 0, 5);
        this.createScene();
        this.addStats();
        this.addLights();
        this.addObjects();
        this.registerResizeHandler();
        this.render();
    };
    AppThreeMaterials.prototype.addLights = function () {
        var light = new THREE.DirectionalLight(0xffffff, 1);
        light.position.set(0.5, 0.5, 1);
        this.scene.add(light);
    };
    AppThreeMaterials.prototype.addObjects = function () {
        var material = new THREE.MeshPhongMaterial({ map: THREE.ImageUtils.loadTexture("../img/FIM.png") });
        var cube = new THREE.Mesh(new THREE.BoxGeometry(1, 1, 1), material);
        cube.rotation.y = Math.PI / 6;
        this.scene.add(cube);
    };
    return AppThreeMaterials;
})(AppThreeBase);
window.onload = function () {
    var app = new AppThreeMaterials();
    app.main();
};
