﻿/// <reference path="../decl/stats.d.ts" />
declare var SceneJS

class AppSceneBase {

    public stats: Stats;
    public statsMs: Stats;
    public scene;

	/* 
    Postara se o opakovane vykresleni a aktualizuje statistiky. 
    */
    render() {
        requestAnimationFrame(() => this.render());
        this.stats.update();
        this.statsMs.update();
    }

    /*
    Prida statistiky. 
    */
    addStats() {
        // ms
        this.statsMs = new Stats();
        this.statsMs.setMode(1);
        document.body.appendChild(this.statsMs.domElement);

        this.statsMs.domElement.style.position = "absolute";
        this.statsMs.domElement.style.left = "10px";
        this.statsMs.domElement.style.top = "80px";

        // fps
        this.stats = new Stats();
        document.body.appendChild(this.stats.domElement);

        this.stats.domElement.style.position = "absolute";
        this.stats.domElement.style.left = "10px";
        this.stats.domElement.style.top = "10px";
    }
}